MockPdoAvalQmaxUsih = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  MODELO DESSEM     - VERSAO 20.4 - Setembro  de 2024 (CPLEX)                       *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA ONS                                                                                                                                                   \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " TE  PMO - SETEMBRO/22 - OUTUBRO/22 - REV 1 - FCF COM CVAR - 12 REE - VALOR ESPE - Data do Caso: 03/09/2022                                                       \n",
    "____________________________________________________________________\n",
    "\n",
    "---------------------------------------------------------\n",
    "Avaliacao do Engolimento Maximo das Usinas Hidroeletricas                       \n",
    "---------------------------------------------------------\n",
    "-----------------------------------------------------------------------------------------------------\n",
    "IPER:      Indice do periodo.                                                                                                                                                                           \n",
    "USIH:      Numero de cadastro da usina hidreletrica                                                                                                                                                     \n",
    "NomeUsih:  Nome de cadastro da usina hidreletrica                                                                                                                                                       \n",
    "Vutil Med: Volume armazenado Util medio                                                                                                                                                                 \n",
    "Qtur:      Vazao turbinada                                                                                                                                                                              \n",
    "Qver:      Vazao vertida                                                                                                                                                                                \n",
    "Hmon:      Cota de montante                                                                                                                                                                             \n",
    "Qjus:      Vazao de jusante da usina (calculo da cota de jusante)                                                                                                                                       \n",
    "Hjus:      Cota de jusante (canal de fuga)                                                                                                                                                              \n",
    "Hliq:      Altura de queda media                                                                                                                                                                        \n",
    "QturMax:   Vazao turbinada Maxima não considerando o engolimento maximo                                                                                                                                 \n",
    "Engolim:   Engolimento Maximo                                                                                                                                                                           \n",
    "Ghmax:     Geracao hidreletrica maxima, considerando restricoes operativas e engolimento maximo (FPH)                                                                                                   \n",
    "-----------------------------------------------------------------------------------------------------\n",
    "\n",
    "-----;-----;--------------;----------;---------;------------;---------;---------;---------;---------;---------;------------;----------;\n",
    "IPER ;USIH ;   NomeUsih   ;Vutil Med ;  Qtur   ;    Qver    ;  Hmon   ;  Qjus   ;  Hjus   ;  Hliq   ; QturMax ;  Engolim   ;  Ghmax   ;\n",
    "  -  ;  -  ;      -       ;   (%)    ; (m3/s)  ;   (m3/s)   ;   (m)   ; (m3/s)  ;   (m)   ;   (m)   ; (m3/s)  ;   (m3/s)   ;   (MW)   ;\n",
    "-----;-----;--------------;----------;---------;------------;---------;---------;---------;---------;---------;------------;----------;\n",
    "   1 ; 001 ; CAMARGOS     ;    78.87 ;    34.02;        0.00;  911.016;    34.02;  885.689;    25.23;   214.00;     215.09 ;    46.00 ;\n",
    "   1 ; 002 ; ITUTINGA     ;    -     ;    34.00;        0.00;  885.659;    34.00;  856.186;    28.84;   241.00;     247.99 ;    52.00 ;\n",
    "   1 ; 004 ; FUNIL-GRANDE ;    -     ;   124.82;        0.00;  807.913;   124.82;  767.076;    40.44;   573.00;     590.14 ;   180.00 ;\n",
    "   1 ; 006 ; FURNAS       ;    65.66 ;  1504.14;        0.00;  763.482;  1504.14;  673.075;    89.60;  1506.00;    1504.15 ;  1216.00 ;\n",
    "   1 ; 007 ; M. DE MORAES ;    71.97 ;   983.82;        0.00;  663.146;   983.82;  621.005;    41.00;  1010.00;     984.23 ;   378.00 ;\n",
    "   1 ; 008 ; ESTREITO     ;    49.14 ;   698.16;        0.00;  620.487;   698.16;  557.919;    61.67;  1914.00;    1913.51 ;  1049.09 ;\n",
    "   1 ; 009 ; JAGUARA      ;    70.77 ;   380.03;        0.00;  557.623;   380.03;  512.237;    44.88;  1076.00;    1085.52 ;   424.00 ;\n",
    "   1 ; 010 ; IGARAPAVA    ;    -     ;   563.54;        0.00;  512.007;   563.54;  494.431;    17.41;  1485.00;    1515.95 ;   210.00 ;\n",
    "   1 ; 011 ; VOLTA GRANDE ;    36.61 ;   178.00;        0.00;  494.011;   178.00;  465.874;    27.97;  1588.00;    1604.02 ;   380.00 ;\n",
    "   1 ; 012 ; P. COLOMBIA  ;    50.88 ;   189.01;        0.00;  466.381;   189.01;  442.797;    23.36;  1868.00;    1948.78 ;   320.00 ;\n",
    "   1 ; 014 ; CACONDE      ;    65.61 ;    32.00;        0.00;  848.692;    32.00;  750.183;    97.64;    93.00;      91.44 ;    80.40 ;\n",
    "   1 ; 015 ; E. DA CUNHA  ;    -     ;    40.08;        0.00;  664.483;    40.08;  574.966;    88.79;   144.00;     144.65 ;   108.80 ;\n",
    "   1 ; 016 ; A.S.OLIVEIRA ;    -     ;    37.76;        0.00;  572.483;    37.76;  546.205;    26.09;   172.00;     178.46 ;    32.00 ;\n",
    "   1 ; 017 ; MARIMBONDO   ;    43.11 ;   312.00;        0.00;  437.987;   312.00;  379.949;    57.22;  2680.00;    2634.77 ;  1367.39 ;\n",
    "   1 ; 018 ; A. VERMELHA  ;    31.31 ;   800.00;        0.00;  377.018;   800.00;  327.085;    49.18;  1972.00;    1890.75 ;   820.66 ;\n",
    "   1 ; 020 ; BATALHA      ;    36.91 ;   151.54;        0.00;  791.990;   151.54;  755.981;    34.81;   154.00;     151.56 ;    52.50 ;\n",
    "   1 ; 021 ; SERRA FACAO  ;    33.17 ;   195.71;        0.00;  742.906;   195.71;  675.222;    66.99;   330.00;     314.71 ;   212.00 ;\n",
    "   1 ; 024 ; EMBORCACAO   ;    59.60 ;   862.97;        0.00;  647.747;   862.97;  522.522;   124.24;  1012.00;     988.19 ;  1109.87 ;\n",
    "   1 ; 025 ; NOVA PONTE   ;    47.33 ;   422.52;        0.00;  799.852;   422.52;  697.215;   100.96;   591.00;     606.07 ;   510.00 ;\n",
    "   1 ; 026 ; MIRANDA      ;    80.38 ;   497.20;        0.00;  695.429;   497.20;  624.758;    69.95;   696.00;     714.37 ;   408.00 ;\n",
    "   1 ; 027 ; CAPIM BRANC1 ;    41.33 ;   460.03;        0.00;  623.658;   460.03;  566.225;    55.60;   486.00;     488.62 ;   240.00 ;\n",
]
MockPdoAvalQmaxUsih2001 = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  MODELO DESSEM     - VERSAO 20.2 - Dezembro  de 2023 (CPLEX)                       *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA ONS                                                                                                                                                   \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " TE  PMO - SETEMBRO/22 - OUTUBRO/22 - REV 1 - FCF COM CVAR - 12 REE - VALOR ESPE - Data do Caso: 03/09/2022                                                       \n",
    "____________________________________________________________________\n",
    "\n",
    "---------------------------------------------------------\n",
    "Avaliacao do Engolimento Maximo das Usinas Hidroeletricas                       \n",
    "---------------------------------------------------------\n",
    "-----------------------------------------------------------------------\n",
    "IPER:      Indice do periodo.                                                                                                                                                                           \n",
    "USIH:      Numero de cadastro da usina hidroeletrica                                                                                                                                                    \n",
    "NomeUsih:  Nome de cadastro da usina hidroeletrica                                                                                                                                                      \n",
    "Vutil Med: Volume armazenado Util medio                                                                                                                                                                 \n",
    "Qtur:      Vazao turbinada                                                                                                                                                                              \n",
    "Qver:      Vazao vertida                                                                                                                                                                                \n",
    "QturMax:   Vazao turbinada Maxima no considerando o engolimento maximo                                                                                                                                 \n",
    "Engolim:   Engolimento Maximo                                                                                                                                                                           \n",
    "Ghmax:     Gerao hidroeletrica maxima                                                                                                                                                                 \n",
    "-----------------------------------------------------------------------\n",
    "\n",
    "-----;-----;--------------;----------;---------;------------;---------;------------;----------;\n",
    "IPER ;USIH ;   NomeUsih   ;Vutil Med ;  Qtur   ;    Qver    ; QturMax ;  Engolim   ;  Ghmax   ;\n",
    "  -  ;  -  ;      -       ;   (%)    ; (m3/s)  ;   (m3/s)   ; (m3/s)  ;   (m3/s)   ;   (MW)   ;\n",
    "-----;-----;--------------;----------;---------;------------;---------;------------;----------;\n",
    "   1 ; 001 ; CAMARGOS     ;    78.87 ;    34.02;        0.00;   214.00;     215.09 ;    46.00 ;\n",
    "   1 ; 002 ; ITUTINGA     ;    -     ;    34.00;        0.00;   241.00;     247.99 ;    52.00 ;\n",
    "   1 ; 004 ; FUNIL-GRANDE ;    -     ;   124.82;        0.00;   573.00;     590.14 ;   180.00 ;\n",
    "   1 ; 006 ; FURNAS       ;    65.66 ;  1506.00;        0.00;  1506.00;    1503.26 ;  1216.00 ;\n",
    "   1 ; 007 ; M. DE MORAES ;    71.97 ;  1010.00;        0.00;  1010.00;     983.78 ;   378.00 ;\n",
    "   1 ; 008 ; ESTREITO     ;    49.14 ;   698.16;        0.00;  1914.00;    1913.51 ;  1049.09 ;\n",
    "   1 ; 009 ; JAGUARA      ;    70.77 ;   380.03;        0.00;  1076.00;    1085.52 ;   424.00 ;\n",
    "   1 ; 010 ; IGARAPAVA    ;    -     ;   563.54;        0.00;  1485.00;    1515.95 ;   210.00 ;\n",
    "   1 ; 011 ; VOLTA GRANDE ;    36.61 ;   178.00;        0.00;  1588.00;    1604.02 ;   380.00 ;\n",
    "   1 ; 012 ; P. COLOMBIA  ;    50.88 ;   189.02;        0.00;  1868.00;    1948.78 ;   320.00 ;\n",
]
